List Claims
curl --request GET \
--url https://api.heyrafiki.space/v1/claims \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.heyrafiki.space/v1/claims"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.heyrafiki.space/v1/claims', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"object": "<string>",
"data": [
{
"id": "<string>",
"object": "<string>",
"provider_claim_reference": "<string>",
"submission_version": 2,
"amount": {
"currency": "<string>",
"billed": 1,
"approved": 1,
"settled": 1
},
"service_period": {
"starts_at": "2023-11-07T05:31:56Z",
"ends_at": "2023-11-07T05:31:56Z"
},
"lines": [
{
"line_number": 2,
"code_system": "<string>",
"code_system_version": "<string>",
"service_code": "<string>",
"units": 123,
"amount": 2
}
],
"information_requests": [
{
"id": "<string>",
"object": "<string>",
"reason_code": "<string>",
"requested_evidence_types": [
"<string>"
],
"due_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"resolved_at": "2023-11-07T05:31:56Z"
}
],
"adjudication": {
"id": "<string>",
"object": "<string>",
"version": 2,
"amount": {
"currency": "<string>",
"billed": 2,
"payer": 1,
"patient_responsibility": 1,
"adjustment": 1
},
"reason_codes": [
"<string>"
],
"policy": {
"reference": "<string>",
"version": "<string>"
},
"lines": [
{
"line_number": 2,
"amount": {
"billed": 2,
"allowed": 1,
"payer": 1,
"patient_responsibility": 1,
"adjustment": 1
},
"reason_codes": [
"<string>"
]
}
],
"decided_at": "2023-11-07T05:31:56Z"
},
"submitted_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"has_more": true
}{
"error": {
"code": "<string>",
"message": "<string>",
"docs": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"docs": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"docs": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"docs": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"docs": "<string>"
}
}List Claims
Returns synthetic Claim status without Person, payer or clinical identifiers. Requires claims:read.
GET
/
claims
List Claims
Authorizations
bearerAuthapiKeyAuth
A sandbox or production secret key.
Query Parameters
Maximum number of Claims to return.
Required range:
1 <= x <= 100Last modified on July 30, 2026
⌘I

